Loading...
Searching...
No Matches
janus_echotest_session Struct Reference
Collaboration diagram for janus_echotest_session:
[legend]

## Data Fields

janus_plugin_session * | handle
gboolean | has_audio
gboolean | has_video
gboolean | has_data
gboolean | audio_active
gboolean | video_active
janus_audiocodec | acodec
janus_videocodec | vcodec
char * | vfmtp
int | opusred_pt
uint32_t | bitrate
uint32_t | peer_bitrate
janus_rtp_switching_context | context
uint32_t | ssrc [3]
char * | rid [3]
janus_mutex | rid_mutex
janus_rtp_simulcasting_context | sim_context
janus_vp8_simulcast_context | vp8_context
janus_recorder * | arc
janus_recorder * | vrc
janus_recorder * | drc
gboolean | e2ee
janus_mutex | rec_mutex
guint16 | slowlink_count
int16_t | min_delay
int16_t | max_delay
volatile gint | hangingup
volatile gint | destroyed
janus_refcount | ref

## Field Documentation

## acodec

janus_audiocodec janus_echotest_session::acodec

## arc

janus_recorder* janus_echotest_session::arc

## audio_active

gboolean janus_echotest_session::audio_active

## bitrate

uint32_t janus_echotest_session::bitrate

## context

janus_rtp_switching_context janus_echotest_session::context

## destroyed

volatile gint janus_echotest_session::destroyed

## drc

janus_recorder* janus_echotest_session::drc

## e2ee

gboolean janus_echotest_session::e2ee

## handle

janus_plugin_session* janus_echotest_session::handle

## hangingup

volatile gint janus_echotest_session::hangingup

## has_audio

gboolean janus_echotest_session::has_audio

## has_data

gboolean janus_echotest_session::has_data

## has_video

gboolean janus_echotest_session::has_video

## max_delay

int16_t janus_echotest_session::max_delay

## min_delay

int16_t janus_echotest_session::min_delay

## opusred_pt

int janus_echotest_session::opusred_pt

## peer_bitrate

uint32_t janus_echotest_session::peer_bitrate

## rec_mutex

janus_mutex janus_echotest_session::rec_mutex

## ref

janus_refcount janus_echotest_session::ref

## rid

char* janus_echotest_session::rid[3]

## rid_mutex

janus_mutex janus_echotest_session::rid_mutex

## sim_context

janus_rtp_simulcasting_context janus_echotest_session::sim_context

## slowlink_count

guint16 janus_echotest_session::slowlink_count

## ssrc

uint32_t janus_echotest_session::ssrc[3]

## vcodec

janus_videocodec janus_echotest_session::vcodec

## vfmtp

char* janus_echotest_session::vfmtp

## video_active

gboolean janus_echotest_session::video_active

## vp8_context

janus_vp8_simulcast_context janus_echotest_session::vp8_context

## vrc

janus_recorder* janus_echotest_session::vrc

The documentation for this struct was generated from the following file:

- janus_echotest.c